Bug 702394 - error: rpmdbNextIterator: skipping h#
error: rpmdbNextIterator: skipping h#
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
i686 Linux
unspecified Severity urgent
: rc
: 5.5
Assigned To: packaging-team-maint
Red Hat Satellite QA List
http://www.linuxbras.com.br
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 10:41 EDT by Claudir R. Leindecker
Modified: 2014-01-21 01:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Claudir R. Leindecker 2011-05-05 10:41:39 EDT
Description of problem:
yum -y upgrade/update.........>
Running rpm_check_debug
error: rpmdbNextIterator: skipping h#     470 Header V3 DSA signature: BAD, key ID e8562897
ERROR with rpm_check_debug vs depsolve:
redhat-artwork is needed by metacity-2.16.0-16.el5.i386
Complete!



Version-Release number of selected component (if applicable):
Linux centos.linuxbras.com.br 2.6.18-194.26.1.el5 #1 SMP Tue Nov 9 12:54:40 EST 2010 i686 i686 i386 GNU/Linux

How reproducible:


Steps to Reproduce:
1.yum -y upgrade/update
2.
3.
  
Actual results:


Expected results:
Running rpm_check_debug
error: rpmdbNextIterator: skipping h#     470 Header V3 DSA signature: BAD, key ID e8562897
ERROR with rpm_check_debug vs depsolve:
redhat-artwork is needed by metacity-2.16.0-16.el5.i386
Complete!


Additional info:
yum -y update => --skip-broken
erro update/upgrade
Comment 1 Tony Browning 2012-02-21 13:23:11 EST
Yes, my machine is doing this same. After fresh Fedora 16 install and the 368 then 315 Software updates my Tracker-0.12.9-1fc16 (32-bit) keeps crashing. I did a terminal check and all it gives is this printout:

[root@toshiba tonybrowning]# yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5 /var/cache/abrt-di/usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5.1
Loaded plugins: langpacks, presto, refresh-packagekit
updates-debuginfo/metalink                               |  10 kB     00:00     
updates-testing-debuginfo/metalink                       |  11 kB     00:00     
Setting up Install Process
No Match for argument: /usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5
error: rpmdbNextIterator: skipping h#    1606 blob size(13700): BAD, 8 + 16 * il(68) + dl(12620)
No package /usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5 available.
error: rpmdbNextIterator: skipping h#    1606 blob size(13700): BAD, 8 + 16 * il(68) + dl(12620)
No Match for argument: /var/cache/abrt-di/usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5.1
error: rpmdbNextIterator: skipping h#    1606 blob size(13700): BAD, 8 + 16 * il(68) + dl(12620)
No package /var/cache/abrt-di/usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5.1 available.
error: rpmdbNextIterator: skipping h#    1606 blob size(13700): BAD, 8 + 16 * il(68) + dl(12620)
Error: Nothing to do
[root@toshiba tonybrowning]# 
 Help would be most appreciated. This is the only crashes that I am experiencing.
Reason::Process /usr/libexec/tracker-store was killed by signal 11 (SIGSEGV)
Backtrace::Missing separate debuginfo for 
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5 /var/cache/abrt-di/usr/lib/debug/.build-id/c5/4c2ffdb91c886bc102682464fe9985f27415c5.1
[New LWP 1536]
[New LWP 1606]
[New LWP 1607]
[New LWP 1916]
[New LWP 1917]
[New LWP 1918]
[New LWP 1919]
warning: File "/var/cache/abrt-di/usr/lib/debug/lib/librt-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/librt-2.14.90.so.debug" does not match "/lib/librt.so.1" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/librt-2.14.90.so.debug" does not match "/lib/librt.so.1" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libm-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libm-2.14.90.so.debug" does not match "/lib/libm.so.6" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libm-2.14.90.so.debug" does not match "/lib/libm.so.6" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libpthread-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libpthread-2.14.90.so.debug" does not match "/lib/libpthread.so.0" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libpthread-2.14.90.so.debug" does not match "/lib/libpthread.so.0" (CRC mismatch).

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libc-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libc-2.14.90.so.debug" does not match "/lib/libc.so.6" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libc-2.14.90.so.debug" does not match "/lib/libc.so.6" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libdl-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libdl-2.14.90.so.debug" does not match "/lib/libdl.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libdl-2.14.90.so.debug" does not match "/lib/libdl.so.2" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libresolv-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libresolv-2.14.90.so.debug" does not match "/lib/libresolv.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libresolv-2.14.90.so.debug" does not match "/lib/libresolv.so.2" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/ld-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/ld-2.14.90.so.debug" does not match "/lib/ld-linux.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/ld-2.14.90.so.debug" does not match "/lib/ld-linux.so.2" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libnss_files-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libnss_files-2.14.90.so.debug" does not match "/lib/libnss_files.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libnss_files-2.14.90.so.debug" does not match "/lib/libnss_files.so.2" (CRC mismatch).

warning: File "/var/cache/abrt-di/usr/lib/debug/lib/libutil-2.14.90.so.debug" has a different build-id, file skipped
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib/libutil-2.14.90.so.debug" does not match "/lib/libutil.so.1" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/lib/libutil-2.14.90.so.debug" does not match "/lib/libutil.so.1" (CRC mismatch).

Core was generated by `/usr/libexec/tracker-store'.
Program terminated with signal 11, Segmentation fault.
#0  0x4cb21210 in ?? ()

Thread 7 (Thread 0xb48fcb40 (LWP 1919)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x4320185c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x4cf93630 in g_async_queue_pop_intern_unlocked (queue=0xa024180, try=<optimized out>, end_time=0x0) at gasyncqueue.c:408
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x4cfeb38a in g_thread_pool_wait_for_new_task (pool=0xa01b4f8) at gthreadpool.c:252
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=0xa01b4f8) at gthreadpool.c:308
        task = <optimized out>
        pool = 0xa01b4f8
#5  0x4cfe8f45 in g_thread_create_proxy (data=0xa0241c8) at gthread.c:1962
        thread = 0xa0241c8
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x431fdcd3 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x4313b83e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 6 (Thread 0xb50fdb40 (LWP 1918)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x4320185c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x4cf93630 in g_async_queue_pop_intern_unlocked (queue=0xa023f98, try=<optimized out>, end_time=0x0) at gasyncqueue.c:408
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x4cfeb38a in g_thread_pool_wait_for_new_task (pool=0xa023f60) at gthreadpool.c:252
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=0xa023f60) at gthreadpool.c:308
        task = <optimized out>
        pool = 0xa023f60
#5  0x4cfe8f45 in g_thread_create_proxy (data=0xa0240b0) at gthread.c:1962
        thread = 0xa0240b0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x431fdcd3 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x4313b83e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 5 (Thread 0xb58feb40 (LWP 1917)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x4320185c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x4cf93630 in g_async_queue_pop_intern_unlocked (queue=0xa023f98, try=<optimized out>, end_time=0x0) at gasyncqueue.c:408
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x4cfeb38a in g_thread_pool_wait_for_new_task (pool=0xa023f60) at gthreadpool.c:252
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=0xa023f60) at gthreadpool.c:308
        task = <optimized out>
        pool = 0xa023f60
#5  0x4cfe8f45 in g_thread_create_proxy (data=0xa023fe0) at gthread.c:1962
        thread = 0xa023fe0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x431fdcd3 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x4313b83e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread 0xb60ffb40 (LWP 1916)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x4320185c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x4cf93630 in g_async_queue_pop_intern_unlocked (queue=0xa023e70, try=<optimized out>, end_time=0x0) at gasyncqueue.c:408
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x4cfeb38a in g_thread_pool_wait_for_new_task (pool=0xa023e38) at gthreadpool.c:252
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=0xa023e38) at gthreadpool.c:308
        task = <optimized out>
        pool = 0xa023e38
#5  0x4cfe8f45 in g_thread_create_proxy (data=0xa023c78) at gthread.c:1962
        thread = 0xa023c78
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x431fdcd3 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x4313b83e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread 0xb6affb40 (LWP 1607)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x43130fb0 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x4cfd083c in g_poll (fds=0xb6102900, nfds=3, timeout=-1) at gpoll.c:132
No locals.
#3  0x4cfc1c76 in g_main_context_poll (n_fds=3, fds=0xb6102900, priority=<optimized out>, timeout=<optimized out>, context=0xb6b0a938) at gmain.c:3402
        poll_func = 0x4cfd0810 <g_poll>
#4  g_main_context_iterate (context=0xb6b0a938, block=1291651088, dispatch=1, self=0xb6b0a9c8) at gmain.c:3084
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#5  0x4cfc23a7 in g_main_loop_run (loop=0xb6b0a910) at gmain.c:3297
        self = 0xb6b0a9c8
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#6  0x4d1c374b in gdbus_shared_thread_func (user_data=0xb6b0a920) at gdbusprivate.c:276
        data = 0xb6b0a920
#7  0x4cfe8f45 in g_thread_create_proxy (data=0xb6b0a9c8) at gthread.c:1962
        thread = 0xb6b0a9c8
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#8  0x431fdcd3 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#9  0x4313b83e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread 0xb74d1b40 (LWP 1606)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x43130fb0 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x4cfd083c in g_poll (fds=0xb6b00cc0, nfds=1, timeout=-1) at gpoll.c:132
No locals.
#3  0x4cfc1c76 in g_main_context_poll (n_fds=1, fds=0xb6b00cc0, priority=<optimized out>, timeout=<optimized out>, context=0xa018c28) at gmain.c:3402
        poll_func = 0x4cfd0810 <g_poll>
#4  g_main_context_iterate (context=0xa018c28, block=1291651088, dispatch=1, self=0xa018cb8) at gmain.c:3084
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#5  0x4cfc23a7 in g_main_loop_run (loop=0xb6b00cb0) at gmain.c:3297
        self = 0xa018cb8
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#6  0x00114235 in dconf_context_thread (data=0xa018c28) at dconfcontext.c:11
        context = 0xa018c28
        loop = <optimized out>
        __PRETTY_FUNCTION__ = "dconf_context_thread"
#7  0x4cfe8f45 in g_thread_create_proxy (data=0xa018cb8) at gthread.c:1962
        thread = 0xa018cb8
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#8  0x431fdcd3 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#9  0x4313b83e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 0xb76f6780 (LWP 1536)):
#0  0x4cb21210 in ?? ()
No symbol table info available.
#1  0x4db6b49c in open_database (error=0xbf82df5c, db_interface=0xa01a4e0) at tracker-db-interface-sqlite.c:841
No locals.
#2  tracker_db_interface_initable_init (initable=0xa01a4e0, cancellable=0x0, error=0xbf82e01c) at tracker-db-interface-sqlite.c:887
        db_iface = 0xa01a4e0
        internal_error = 0x0
#3  0x4d14f46a in g_initable_init (initable=0xa01a4e0, cancellable=0x0, error=0xbf82e01c) at ginitable.c:106
        iface = <optimized out>
#4  0x4d14f57c in g_initable_new_valist (object_type=167930032, first_property_name=0x4db8e5bb "filename", var_args=0xbf82e000 "\350h\002\n", cancellable=0x0, error=0xbf82e01c) at ginitable.c:219
        obj = 0xa01a4e0
        __PRETTY_FUNCTION__ = "g_initable_new_valist"
#5  0x4d14f60c in g_initable_new (object_type=167930032, cancellable=0x0, error=0xbf82e01c, first_property_name=0x4db8e5bb "filename") at ginitable.c:139
        object = 0xa026c68
        var_args = 0xbf82e000 "\350h\002\n"
#6  0x4db6c00f in tracker_db_interface_sqlite_new (filename=0xa0268e8 "/home/tonybrowning/.cache/tracker/meta.db", error=0xbf82e06c) at tracker-db-interface-sqlite.c:1482
        object = <optimized out>
        internal_error = 0x0
#7  0x4db6d53b in db_interface_get (error=0xbf82e068, create=<synthetic pointer>, type=<optimized out>) at tracker-db-manager.c:338
        iface = <optimized out>
        path = 0xa0268e8 "/home/tonybrowning/.cache/tracker/meta.db"
        internal_error = 0x0
#8  db_interface_get_metadata (error=0xbf82e064) at tracker-db-manager.c:366
        create = <optimized out>
        internal_error = 0x0
#9  db_interface_create (db=<optimized out>, error=0xbf82e118) at tracker-db-manager.c:388
        iface = <optimized out>
        internal_error = 0x0
#10 0x4db6f28b in tracker_db_manager_init (flags=TRACKER_DB_MANAGER_REMOVE_CACHE, first_time=0xbf82e200, restoring_backup=0, shared_cache=0, select_cache_size=100, update_cache_size=100, busy_callback=0x8057100 <_tracker_status_callback_tracker_busy_callback>, busy_user_data=0xa015200, busy_operation=0x805ff47 "Initializing", error=0xbf82e208) at tracker-db-manager.c:1099
        st = {st_dev = 64770, __pad1 = 0, st_ino = 131230, st_mode = 33188, st_nlink = 1, st_uid = 1000, st_gid = 1000, st_rdev = 0, __pad2 = 0, st_size = 2951168, st_blksize = 4096, st_blocks = 5776, st_atim = {tv_sec = 1329725981, tv_nsec = 373314659}, st_mtim = {tv_sec = 1329725834, tv_nsec = 109125141}, st_ctim = {tv_sec = 1329725834, tv_nsec = 109125141}, __unused4 = 0, __unused5 = 0}
        stmt = <optimized out>
        busy_status = <optimized out>
        size = <optimized out>
        must_recreate = 0
        journal_filename = 0xa026930 "("
        etype = <optimized out>
        filename = <optimized out>
        dir = <optimized out>
        need_reindex = <optimized out>
        i = 1
        in_use_file = <optimized out>
        loaded = 0
        resources_iface = <optimized out>
        internal_error = 0x0
#11 0x4db5e54a in tracker_data_manager_init (flags=TRACKER_DB_MANAGER_REMOVE_CACHE, test_schemas=0x0, first_time=0xbf82e2cc, journal_check=1, restoring_backup=0, select_cache_size=100, update_cache_size=100, busy_callback=0x8057100 <_tracker_status_callback_tracker_busy_callback>, busy_user_data=0xa015200, busy_operation=0x805ff47 "Initializing", error=0xbf82e2c8) at tracker-data-manager.c:3639
        iface = <optimized out>
        is_first_time_index = <optimized out>
        check_ontology = <optimized out>
        cursor = <optimized out>
        stmt = <optimized out>
        ontos_table = <optimized out>
        sorted = 0x0
        l = <optimized out>
        env_path = <optimized out>
        max_id = 0
        read_only = 0
        uri_id_map = 0x0
        busy_status = <optimized out>
        internal_error = 0x0
        read_journal = 0
#12 0x0804ed96 in tracker_main_main (args_length1=1, args=0xbf82e384) at /home/martyn/Source/tracker/src/tracker-store/tracker-main.vala:271
        _tmp59_ = TRACKER_DB_MANAGER_REMOVE_CACHE
        _tmp60_ = 100
        _tmp62_ = 0x8057100 <_tracker_status_callback_tracker_busy_callback>
        _tmp63_ = 0
        _tmp62__target = 0xa015200
        update_cache_size = <optimized out>
        _tmp14_ = <optimized out>
        _tmp35_ = 0xa0150c8
        _tmp56_ = <optimized out>
        _tmp12_ = 0xa015028
        _tmp33_ = 0
        _tmp54_ = 0x0
        _tmp9_ = <optimized out>
        _tmp28_ = 0x8057100 <_tracker_status_callback_tracker_busy_callback>
        _tmp52_ = 0x0
        _tmp31_ = 0xa0150c8
        _tmp73_ = <optimized out>
        _tmp7_ = 0xa015028
        flags = TRACKER_DB_MANAGER_REMOVE_CACHE
        _tmp26_ = 0xa015200
        busy_callback_target = 0xa015200
        do_rotating = 1
        cache_size_s = 0x0
        _tmp71_ = <optimized out>
        _tmp24_ = 0xa015200
        rotate_to = 0x0
        _tmp45_ = <optimized out>
        _tmp66_ = <optimized out>
        _inner_error_ = 0x0
        result = 0
        _tmp22_ = <optimized out>
        select_cache_size = 100
        _tmp43_ = <optimized out>
        _tmp19_ = 0xa015028
        _tmp17_ = 0xa015028
        _tmp20_ = 0xa015028
        _tmp38_ = 0x0
        _tmp41_ = 52428800
        _tmp15_ = 0xa022cf8 "/home/tonybrowning/.local/share/tracker/tracker-store.log"
        _tmp36_ = 0x0
        db_config = 0xa0150c8
        _tmp13_ = <optimized out>
        chunk_size = 52428800
        notifier = 0xa015200
        _tmp34_ = 0
        is_first_time_index = 0
        busy_callback_target_destroy_notify = 0x804d890 <g_object_unref@plt>
        _tmp29_ = <optimized out>
        _tmp32_ = 0
        _tmp53_ = <optimized out>
        _tmp8_ = 0xa0150c8
        _tmp27_ = 0x804d890 <g_object_unref@plt>
        _tmp30_ = <optimized out>
        _tmp51_ = <optimized out>
        _tmp48_ = <optimized out>
        _tmp6_ = <optimized out>
        _tmp67_ = <optimized out>
        config = 0xa015028
        config_verbosity_id = 3
        _tmp25_ = 0xa015200
        busy_callback = 0x8057100 <_tracker_status_callback_tracker_busy_callback>
        _tmp46_ = 0x0
        _tmp70_ = <optimized out>
        _tmp44_ = 0x0
        _tmp18_ = <optimized out>
        _tmp21_ = 3
        chunk_size_mb = 0
        _tmp39_ = 0
        _tmp42_ = 0x0
        _tmp16_ = <optimized out>
        _tmp37_ = 0x0
        _tmp40_ = 1
#13 main (argc=1, argv=0xbf82e384) at /home/martyn/Source/tracker/src/tracker-store/tracker-main.vala:156
No locals.
From        To          Syms Read   Shared Object Library
0x4db22cb0  0x4db84568  Yes         /usr/lib/tracker-0.12/libtracker-data.so.0.1200.9
0x4d882d50  0x4d895dd8  Yes         /usr/lib/tracker-0.12/libtracker-common.so.0.1200.9
0x4d9b3470  0x4d9c6d38  Yes         /usr/lib/libtracker-sparql-0.12.so.0.1200.9
0x4d121ee0  0x4d1ed298  Yes         /lib/libgio-2.0.so.0
0x4d0b12b0  0x4d0e41f8  Yes         /lib/libgobject-2.0.so.0
0x4d0a2f50  0x4d0a4728  Yes         /lib/libgthread-2.0.so.0
0x4d0fabf0  0x4d0fbd78  Yes         /lib/libgmodule-2.0.so.0
0x4321c920  0x43220a98  Yes (*)     /lib/librt.so.1
0x4cf910f0  0x4d02f9f8  Yes         /lib/libglib-2.0.so.0
0x447af730  0x4482cd38  Yes         /usr/lib/libsqlite3.so.0
0x00df3670  0x00e00948  Yes         /lib/libz.so.1
0x4322b420  0x432463a8  Yes (*)     /lib/libm.so.6
0x431fb680  0x432076f8  Yes (*)     /lib/libpthread.so.0
0x4305fe90  0x431970a4  Yes (*)     /lib/libc.so.6
0x00997010  0x00998cb8  Yes         /lib/libuuid.so.1
0x44e5a770  0x44e918fc  Yes         /usr/lib/libunistring.so.0
0x43447020  0x4344a678  Yes         /usr/lib/libffi.so.5
0x43214a60  0x43215a88  Yes (*)     /lib/libdl.so.2
0x432776e0  0x43289478  Yes         /lib/libselinux.so.1
0x433db670  0x433ec088  Yes (*)     /lib/libresolv.so.2
0x43024850  0x4303dedf  Yes (*)     /lib/ld-linux.so.2
0x00111dc0  0x001157e8  Yes         /usr/lib/gio/modules/libdconfsettings.so
0x00377a10  0x0037f158  Yes (*)     /lib/libnss_files.so.2
0x0011f530  0x0013b618  Yes         /usr/lib/gio/modules/libgvfsdbus.so
0x4d24fbc0  0x4d25b198  Yes         /usr/lib/libgvfscommon.so.0
0x435eb8d0  0x4360bce8  Yes         /usr/lib/libbluray.so.0
0x435a26a0  0x435d1f28  Yes         /lib/libdbus-1.so.3
0x443694f0  0x44372e48  Yes         /lib/libudev.so.0
0x44a4fa20  0x44a50448  Yes (*)     /lib/libutil.so.1
0x437b3c80  0x4389ebec  Yes         /usr/lib/libxml2.so.2
0x43255f30  0x4326cc48  Yes         /lib/libgcc_s.so.1
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
eax            0xa026c68	167930984
ecx            0xff	255
edx            0x0	0
ebx            0x4db9fff4	1304035316
esp            0xbf82df2c	0xbf82df2c
ebp            0xb6b03338	0xb6b03338
esi            0xa01a4e0	167879904
edi            0xa026a00	167930368
eip            0x4cb21210	0x4cb21210
eflags         0x10246	[ PF ZF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
No function contains program counter for selected frame.
Maps::00110000-00117000 r-xp 00000000 fd:01 148288     /usr/lib/gio/modules/libdconfsettings.so
00117000-00118000 r--p 00006000 fd:01 148288     /usr/lib/gio/modules/libdconfsettings.so
00118000-00119000 rw-p 00007000 fd:01 148288     /usr/lib/gio/modules/libdconfsettings.so
00119000-00143000 r-xp 00000000 fd:01 152420     /usr/lib/gio/modules/libgvfsdbus.so
00143000-00144000 r--p 00029000 fd:01 152420     /usr/lib/gio/modules/libgvfsdbus.so
00144000-00145000 rw-p 0002a000 fd:01 152420     /usr/lib/gio/modules/libgvfsdbus.so
00376000-00381000 r-xp 00000000 fd:01 11918      /lib/libnss_files-2.14.90.so
00381000-00382000 r--p 0000a000 fd:01 11918      /lib/libnss_files-2.14.90.so
00382000-00383000 rw-p 0000b000 fd:01 11918      /lib/libnss_files-2.14.90.so
00996000-0099a000 r-xp 00000000 fd:01 18761      /lib/libuuid.so.1.3.0
0099a000-0099b000 r--p 00003000 fd:01 18761      /lib/libuuid.so.1.3.0
0099b000-0099c000 rw-p 00004000 fd:01 18761      /lib/libuuid.so.1.3.0
00b6d000-00b6e000 r-xp 00000000 00:00 0          [vdso]
00df2000-00e07000 r-xp 00000000 fd:01 1799       /lib/libz.so.1.2.5
00e07000-00e08000 rw-p 00014000 fd:01 1799       /lib/libz.so.1.2.5
08048000-08066000 r-xp 00000000 fd:01 136581     /usr/libexec/tracker-store
08066000-08067000 r--p 0001d000 fd:01 136581     /usr/libexec/tracker-store
08067000-0806a000 rw-p 0001e000 fd:01 136581     /usr/libexec/tracker-store
0a00a000-0a054000 rw-p 00000000 00:00 0          [heap]
43024000-43045000 r-xp 00000000 fd:01 6508       /lib/ld-2.14.90.so
43045000-43046000 r--p 00020000 fd:01 6508       /lib/ld-2.14.90.so
43046000-43047000 rw-p 00021000 fd:01 6508       /lib/ld-2.14.90.so
43049000-431ef000 r-xp 00000000 fd:01 27658      /lib/libc-2.14.90.so
431ef000-431f1000 r--p 001a6000 fd:01 27658      /lib/libc-2.14.90.so
431f1000-431f2000 rw-p 001a8000 fd:01 27658      /lib/libc-2.14.90.so
431f2000-431f5000 rw-p 00000000 00:00 0 
431f7000-4320e000 r-xp 00000000 fd:01 27661      /lib/libpthread-2.14.90.so
4320e000-4320f000 r--p 00016000 fd:01 27661      /lib/libpthread-2.14.90.so
4320f000-43210000 rw-p 00017000 fd:01 27661      /lib/libpthread-2.14.90.so
43210000-43212000 rw-p 00000000 00:00 0 
43214000-43217000 r-xp 00000000 fd:01 27664      /lib/libdl-2.14.90.so
43217000-43218000 r--p 00002000 fd:01 27664      /lib/libdl-2.14.90.so
43218000-43219000 rw-p 00003000 fd:01 27664      /lib/libdl-2.14.90.so
4321b000-43223000 r-xp 00000000 fd:01 27668      /lib/librt-2.14.90.so
43223000-43224000 r--p 00007000 fd:01 27668      /lib/librt-2.14.90.so
43224000-43225000 rw-p 00008000 fd:01 27668      /lib/librt-2.14.90.so
43227000-43250000 r-xp 00000000 fd:01 27660      /lib/libm-2.14.90.so
43250000-43251000 r--p 00028000 fd:01 27660      /lib/libm-2.14.90.so
43251000-43252000 rw-p 00029000 fd:01 27660      /lib/libm-2.14.90.so
43254000-43270000 r-xp 00000000 fd:01 27666      /lib/libgcc_s-4.6.2-20111027.so.1
43270000-43271000 rw-p 0001b000 fd:01 27666      /lib/libgcc_s-4.6.2-20111027.so.1
43273000-43291000 r-xp 00000000 fd:01 27676      /lib/libselinux.so.1
43291000-43292000 r--p 0001d000 fd:01 27676      /lib/libselinux.so.1
43292000-43293000 rw-p 0001e000 fd:01 27676      /lib/libselinux.so.1
433d9000-433f0000 r-xp 00000000 fd:01 27918      /lib/libresolv-2.14.90.so
433f0000-433f1000 r--p 00016000 fd:01 27918      /lib/libresolv-2.14.90.so
433f1000-433f2000 rw-p 00017000 fd:01 27918      /lib/libresolv-2.14.90.so
433f2000-433f4000 rw-p 00000000 00:00 0 
43446000-4344b000 r-xp 00000000 fd:01 141336     /usr/lib/libffi.so.5.0.10
4344b000-4344c000 r--p 00005000 fd:01 141336     /usr/lib/libffi.so.5.0.10
4344c000-4344d000 rw-p 00006000 fd:01 141336     /usr/lib/libffi.so.5.0.10
4359d000-435e5000 r-xp 00000000 fd:01 28019      /lib/libdbus-1.so.3.5.6
435e5000-435e6000 r--p 00047000 fd:01 28019      /lib/libdbus-1.so.3.5.6
435e6000-435e7000 rw-p 00048000 fd:01 28019      /lib/libdbus-1.so.3.5.6
435e9000-43614000 r-xp 00000000 fd:01 135580     /usr/lib/libbluray.so.0.0.0
43614000-43615000 r--p 0002b000 fd:01 135580     /usr/lib/libbluray.so.0.0.0
43615000-43616000 rw-p 0002c000 fd:01 135580     /usr/lib/libbluray.so.0.0.0
43798000-438e0000 r-xp 00000000 fd:01 141354     /usr/lib/libxml2.so.2.7.8
438e0000-438e5000 rw-p 00147000 fd:01 141354     /usr/lib/libxml2.so.2.7.8
438e5000-438e6000 rw-p 00000000 00:00 0 
44367000-44376000 r-xp 00000000 fd:01 28045      /lib/libudev.so.0.12.0
44376000-44377000 r--p 0000e000 fd:01 28045      /lib/libudev.so.0.12.0
44377000-44378000 rw-p 0000f000 fd:01 28045      /lib/libudev.so.0.12.0
447aa000-44847000 r-xp 00000000 fd:01 141417     /usr/lib/libsqlite3.so.0.8.6
44847000-44848000 ---p 0009d000 fd:01 141417     /usr/lib/libsqlite3.so.0.8.6
44848000-44849000 r--p 0009d000 fd:01 141417     /usr/lib/libsqlite3.so.0.8.6
44849000-4484a000 rw-p 0009e000 fd:01 141417     /usr/lib/libsqlite3.so.0.8.6
4484a000-4484b000 rw-p 00000000 00:00 0 
44a4f000-44a51000 r-xp 00000000 fd:01 10325      /lib/libutil-2.14.90.so
44a51000-44a52000 r--p 00001000 fd:01 10325      /lib/libutil-2.14.90.so
44a52000-44a53000 rw-p 00002000 fd:01 10325      /lib/libutil-2.14.90.so
44e50000-44f60000 r-xp 00000000 fd:01 136059     /usr/lib/libunistring.so.0.1.2
44f60000-44f63000 rw-p 0010f000 fd:01 136059     /usr/lib/libunistring.so.0.1.2
4cf7e000-4d09e000 r-xp 00000000 fd:01 1900       /lib/libglib-2.0.so.0.3000.2
4d09e000-4d09f000 r--p 0011f000 fd:01 1900       /lib/libglib-2.0.so.0.3000.2
4d09f000-4d0a0000 rw-p 00120000 fd:01 1900       /lib/libglib-2.0.so.0.3000.2
4d0a2000-4d0a6000 r-xp 00000000 fd:01 1901       /lib/libgthread-2.0.so.0.3000.2
4d0a6000-4d0a7000 r--p 00003000 fd:01 1901       /lib/libgthread-2.0.so.0.3000.2
4d0a7000-4d0a8000 rw-p 00004000 fd:01 1901       /lib/libgthread-2.0.so.0.3000.2
4d0aa000-4d0f6000 r-xp 00000000 fd:01 1930       /lib/libgobject-2.0.so.0.3000.2
4d0f6000-4d0f7000 r--p 0004c000 fd:01 1930       /lib/libgobject-2.0.so.0.3000.2
4d0f7000-4d0f8000 rw-p 0004d000 fd:01 1930       /lib/libgobject-2.0.so.0.3000.2
4d0fa000-4d0fd000 r-xp 00000000 fd:01 1947       /lib/libgmodule-2.0.so.0.3000.2
4d0fd000-4d0fe000 r--p 00002000 fd:01 1947       /lib/libgmodule-2.0.so.0.3000.2
4d0fe000-4d0ff000 rw-p 00003000 fd:01 1947       /lib/libgmodule-2.0.so.0.3000.2
4d101000-4d243000 r-xp 00000000 fd:01 1948       /lib/libgio-2.0.so.0.3000.2
4d243000-4d245000 r--p 00141000 fd:01 1948       /lib/libgio-2.0.so.0.3000.2
4d245000-4d246000 rw-p 00143000 fd:01 1948       /lib/libgio-2.0.so.0.3000.2
4d246000-4d247000 rw-p 00000000 00:00 0 
4d249000-4d25f000 r-xp 00000000 fd:01 136528     /usr/lib/libgvfscommon.so.0.0.0
4d25f000-4d260000 r--p 00015000 fd:01 136528     /usr/lib/libgvfscommon.so.0.0.0
4d260000-4d261000 rw-p 00016000 fd:01 136528     /usr/lib/libgvfscommon.so.0.0.0
4d879000-4d89c000 r-xp 00000000 fd:01 263116     /usr/lib/tracker-0.12/libtracker-common.so.0.1200.9
4d89c000-4d89d000 r--p 00022000 fd:01 263116     /usr/lib/tracker-0.12/libtracker-common.so.0.1200.9
4d89d000-4d8a7000 rw-p 00023000 fd:01 263116     /usr/lib/tracker-0.12/libtracker-common.so.0.1200.9
4d9af000-4d9ce000 r-xp 00000000 fd:01 136137     /usr/lib/libtracker-sparql-0.12.so.0.1200.9
4d9ce000-4d9cf000 r--p 0001f000 fd:01 136137     /usr/lib/libtracker-sparql-0.12.so.0.1200.9
4d9cf000-4d9d0000 rw-p 00020000 fd:01 136137     /usr/lib/libtracker-sparql-0.12.so.0.1200.9
4db13000-4db9f000 r-xp 00000000 fd:01 266473     /usr/lib/tracker-0.12/libtracker-data.so.0.1200.9
4db9f000-4dba0000 r--p 0008b000 fd:01 266473     /usr/lib/tracker-0.12/libtracker-data.so.0.1200.9
4dba0000-4dba1000 rw-p 0008c000 fd:01 266473     /usr/lib/tracker-0.12/libtracker-data.so.0.1200.9
4dba1000-4dba2000 rw-p 00000000 00:00 0 
b3f00000-b3f21000 rw-p 00000000 00:00 0 
b3f21000-b4000000 ---p 00000000 00:00 0 
b40fc000-b40fd000 ---p 00000000 00:00 0 
b40fd000-b48fd000 rw-p 00000000 00:00 0 
b48fd000-b48fe000 ---p 00000000 00:00 0 
b48fe000-b50fe000 rw-p 00000000 00:00 0 
b50fe000-b50ff000 ---p 00000000 00:00 0 
b50ff000-b58ff000 rw-p 00000000 00:00 0 
b58ff000-b5900000 ---p 00000000 00:00 0 
b5900000-b6100000 rw-p 00000000 00:00 0 
b6100000-b6121000 rw-p 00000000 00:00 0 
b6121000-b6200000 ---p 00000000 00:00 0 
b62ff000-b6300000 ---p 00000000 00:00 0 
b6300000-b6b00000 rw-p 00000000 00:00 0 
b6b00000-b6b21000 rw-p 00000000 00:00 0 
b6b21000-b6c00000 ---p 00000000 00:00 0 
b6cd1000-b6cd2000 ---p 00000000 00:00 0 
b6cd2000-b74d2000 rw-p 00000000 00:00 0 
b74d7000-b74f6000 r--p 00000000 fd:01 9578       /usr/share/glib-2.0/schemas/gschemas.compiled
b74f6000-b76f6000 r--p 00000000 fd:01 137167     /usr/lib/locale/locale-archive
b76f6000-b76fc000 rw-p 00000000 00:00 0 
b7706000-b7707000 rw-p 00000000 00:00 0 
b7707000-b770b000 r--p 00000000 fd:02 131291     /home/tonybrowning/.config/dconf/user
b770b000-b770c000 r--s 00000000 00:11 23928      /run/user/tonybrowning/dconf/user
b770c000-b770e000 rw-p 00000000 00:00 0 
bf80e000-bf82f000 rw-p 00000000 00:00 0          [stack]
Comment 2 James Antill 2013-03-14 15:33:20 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.